req_lib_votequorum_qdevice_poll Struct Reference

The req_lib_votequorum_qdevice_poll struct. More...

`#include <ipc_votequorum.h>`

## Public Member Functions

struct qb_ipc_request_header header | __attribute__ ((aligned(8)))
struct mar_votequorum_ring_id ring_id | __attribute__ ((aligned(8)))

## Data Fields

char | name [VOTEQUORUM_QDEVICE_MAX_NAME_LEN]
int | cast_vote

## Detailed Description

The req_lib_votequorum_qdevice_poll struct.

Definition at line 107 of file ipc_votequorum.h.

## Member Function Documentation

## __attribute__() [1/2]

struct qb_ipc_request_header header req_lib_votequorum_qdevice_poll::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [2/2]

struct mar_votequorum_ring_id ring_id req_lib_votequorum_qdevice_poll::__attribute__ | ( | (aligned(8)) |  | ) |

## Field Documentation

## cast_vote

int req_lib_votequorum_qdevice_poll::cast_vote

Definition at line 110 of file ipc_votequorum.h.

Referenced by votequorum_qdevice_poll().

## name

char req_lib_votequorum_qdevice_poll::name[VOTEQUORUM_QDEVICE_MAX_NAME_LEN]

Definition at line 109 of file ipc_votequorum.h.

Referenced by votequorum_qdevice_poll().

The documentation for this struct was generated from the following file:

- ipc_votequorum.h